For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet email senders
      • POSTCreate email sender
      • PUTUpdate a sender
      • DELDelete a sender
      • PUTValidate a sender using OTP
      • GETGet all the dedicated IPs for your account
      • GETGet all the dedicated IPs for a specific sender
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsSenders

Get all the dedicated IPs for your account

GET
https://api.brevo.com/v3/senders/ips
GET
/v3/senders/ips
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.senders.getIps();
8}
9main();
1{
2 "ips": []
3}
Retrieves all dedicated IPs associated with your Brevo account. Use this to: - List all your dedicated IPs - Check the status of your dedicated IPs (active/inactive) - Find IP addresses and associated domains for configuration purposes - Monitor your IP reputation and deliverability - Verify available IPs for sender configuration Key information returned: - IP ID and address - Associated domain - Active status - IP configuration details
Was this page helpful?
Previous

Get all the dedicated IPs for a specific sender

Next
Built with

Retrieves all dedicated IPs associated with your Brevo account.

Use this to:

  • List all your dedicated IPs
  • Check the status of your dedicated IPs (active/inactive)
  • Find IP addresses and associated domains for configuration purposes
  • Monitor your IP reputation and deliverability
  • Verify available IPs for sender configuration

Key information returned:

  • IP ID and address
  • Associated domain
  • Active status
  • IP configuration details

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Response

List of dedicated IPs retrieved successfully
ipslist of objects

Dedicated IP(s) available on your account. Returns empty array for standard accounts without dedicated IPs.

Errors

400
Bad Request Error